/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package acces_aux_donnes;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

/**
 *
 * @author emile.lalorcey
 */
public class praticienSQL {
    private Connection connexionTest;
    private Statement stmt = 	null;
    private ResultSet result = 	null;
    
     public praticienSQL() {
        connexionTest = connexionSQL.getConnect("10.121.38.69","bdgsb","appliGSB","(Uq1XV0Tr01s2H9Z");
    }
     
      public ArrayList<String> rechercherPraticien(String login, String mdp) {
        ArrayList<String> praticienCherche = new ArrayList<String>();
        try {
            stmt = connexionTest.createStatement();
            // Accès à la table 
            result = stmt.executeQuery("SELECT * FROM PRATICIENLOG WHERE id='"+login+
                    "' AND mdp='"+mdp + "';");
            if (result.next()) {   // Le praticien a été touvé
               praticienCherche.add(result.getString(1));
               praticienCherche.add(result.getString(2));
                
            } 
            result.close();
            stmt.close();
        } catch (SQLException ex) {
              System.out.println("SQLException : " + ex.getMessage());
              System.out.println("SQLState : " + ex.getSQLState());
              System.out.println("Code erreur : " + ex.getErrorCode());  
        }
         return praticienCherche;
        }
    
}
